Bug 91337 - (IDE IDE-SCSI)cdparanoia over ide-scsi: Transport error: Illegal SCSI request
(IDE IDE-SCSI)cdparanoia over ide-scsi: Transport error: Illegal SCSI request
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-21 11:39 EDT by Niels Gram Jeppesen
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels Gram Jeppesen 2003-05-21 11:39:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
When reading some audio CD's with surface defects using cdparanoia, the result
is a continuing series of scsi read errors:

printout from cdparanoia -B:

(== PROGRESS == [+eeeeeeeee>                   | 270858 00 ] == :-0 o ==)
scsi_read error: sector=270993 length=13 retry=0
             Sense key: 0 ASC: 0 ASCQ: 0
             Transport error: Illegal SCSI request (rejected by target)
             System error: Invalid argument
(repeats 8 more times)

Entry in /var/log/messages:
May 21 16:45:24 localhost kernel: scsi :
                          aborting command due to timeout :
                          pid 45391, scsi1, channel 0, id 0,
                          lun 0 UNKNOWN(0xbe) 00 00 04 22 9e
                                              00 00 0d f8 00 00
May 21 16:45:24 localhost kernel: hdc: irq timeout: status=0x80 { Busy }
May 21 16:45:24 localhost kernel: hdc: ATAPI reset complete
May 21 16:45:24 localhost kernel: hdc: irq timeout: status=0x80 {Busy}
May 21 16:45:29 localhost kernel: hdc: status timeout: status=0x80 { Busy }
May 21 16:45:29 localhost kernel: hdc: drive not ready for command
May 21 16:45:29 localhost kernel: hdc: ATAPI reset complete

This continues until the "loop" is broken by removing the CD. The system does
not work well as long as the "loop" continues.

I have entered this bug as a kernel bug since the printout for the scsi error
reads "system error". Maybe it is cdparanoia that is doing something bad.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Sometimes

Steps to Reproduce:
1. get an audio CD with surface defects or maybe dirty audio CD.
2. run cdparanoia -B (over ide-scsi)
3. if the defects on the CD are "the right ones", I think you will see the
problem. If the CD is perfect, everything works fine. I can provide a picture of
the CD to illustrate the defects on this particular CD if that helps.
    

Actual Results:  see above.

Expected Results:  I would not expect media read errors from the CD to cause
ATAPI resets. This seems wrong. It also strikes me as odd that the printout for
the error is "illegal SCSI request" and "system error"

Additional info:

I have seen this bug with several versions of the 2.4 kernel. I am currently
running on a fully updated RH7.3 system, i.e. kernel version kernel-2.4.20-13.7,

cdparanoia --version
cdparanoia III release 9.8 (March 23, 2001)
(C) 2001 Monty <monty@xiph.org> and Xiphophorus

 cdrecord  --scanbus
Cdrecord 1.10 (i686-pc-linux-gnu) Copyright (C) 1995-2001 J�rg Schilling
Linux sg driver version: 3.1.24
Using libscg version 'schily-0.5'
scsibus1:
        1,0,0   100) 'PLEXTOR ' 'CD-R   PX-W8432T' '1.05' Removable CD-ROM
.
.
.
Comment 1 Bugzilla owner 2004-09-30 11:40:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.